
{% extends '@ajax-layout/layout.twig' %}

{% block body %}

<script>

function sendForm(id)
{
	activeLoader();
    $.ajax({
    	url : '{{ path('Facture.popup.litige', {'numFact' : numFact }) }}',
        type: 'POST',
	  	dataType : 'JSON',
        data: $("#"+id).serialize(),
        success: function (data) {
        	if(data.statut=='O'){

                var formSuivi = document.getElementById('filtre_suivi');
                var formSign = document.getElementById('filtre_sigFac');
                if (formSuivi != null) {
                    refrechDiv(window.location.pathname, 'divRefresh', 'filtre_suivi');
                } else if(formSign) {
                    refrechDiv(window.location.pathname, 'divSig', 'filtre_sigFac');
                }else if(typeof(litigeSpec) === 'function'){
                    litigeSpec('{{ numFact }}', data.type);
                }else{
	        	    reloadGestionFacture('{{ path('Facture.GestionFacture.index') }}');
                }

                desactivePopup();
        	}
        	else{
        		desactiveLoader();
        		$('#message_erreur_popup').show().html(data.erreur);
        	}
        }
    });
}
</script>
<div class="modal-body">
	<div id="message_erreur_popup" class="error displayNone clearfix" ></div>
	<form method="post" name="form_creer_litige" id="form_creer_litige" class="bg_form padding_form border_form">
        {% if type != 'L' %}
            {% set titreComm = 'Motif de suppression du litige :' | trad %}
            <div class="row">
                {{ inputAdvance('textArea', {
                    'titre': 'Commentaire précédent associé au litige' | trad ~ colon(),
                    'name'  : 'commentaire_prec_litige',
                    'value' : commentaire.CONTMEMO,
                    'option'  : 'readonly',
                }) }}
            </div>
        {% else %}
            {% set titreComm = 'Motif de création du litige :' | trad %}
        {% endif %}
        <div class="row">
            {{ inputAdvance('SELECT', {
                'titre' : 'Sélectionnez un type d\'incident' | trad,
                'name'  : 'code_incident',
                'listeValue' : choixIncident,
                'value' : post.code_incident,
                'obligatoire' : true,
                'optionVide' : true
            }) }}
        </div>
        <div class="row">
            {{ inputAdvance('textArea', {
                'titre' : titreComm,
                'name'  : 'motif_crea_litige',
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '3000'}",
                'obligatoire' : true
            }) }}
            <input type="hidden" name="type" value="{{ type }}" />
        </div>
        <div class="modal-footer">
            <button type="button" class="button secondaire" data-dismiss="modal" onclick="desactivePopup ();">{{ 'Annuler' | trad }}</button>
            <button type="button" class="button principal"  onclick="sendForm('form_creer_litige');">{{ 'Enregistrer' | trad }}</button>
        </div>
    </form>
</div>
{# {{ specifique('LitigeFacture', 'litigeSpecifique') }} #}
{% endblock %}